Bug 1414450 - Review Request: networking-sfc
Summary: Review Request: networking-sfc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL: https://launchpad.net/networking-sfc
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-18 14:27 UTC by Bernard Cafarelli
Modified: 2017-02-16 17:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-16 17:08:23 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Bernard Cafarelli 2017-01-18 14:27:02 UTC
networking-sfc is a Neutron Stadium project that provides a Service Function Chaining Extension to Neutron.

More details at: http://docs.openstack.org/developer/networking-sfc/

Repo URL: https://git.openstack.org/cgit/openstack/networking-sfc

Comment 1 Bernard Cafarelli 2017-01-24 09:12:11 UTC
Initial spec file attempt: https://paste.fedoraproject.org/535379/

Comment 2 Bernard Cafarelli 2017-01-26 16:35:15 UTC
Upstream (In reply to Bernard Cafarelli from comment #1)
> Initial spec file attempt

Update after https://review.openstack.org/#/c/424210/ fix upstream:
https://paste.fedoraproject.org/537105/

Comment 3 Javier Peña 2017-01-31 09:57:37 UTC
Initial licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.pylintrc: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* Apache
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/README.md: *No copyright* UNKNOWN
./devstack/devstackgaterc: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* UNKNOWN
./devstack/post_test_hook.sh: *No copyright* UNKNOWN
./devstack/pre_test_hook.sh: *No copyright* UNKNOWN
./devstack/settings: *No copyright* UNKNOWN
./etc/README.txt: *No copyright* UNKNOWN
./etc/flowclassifier_driver.ini.sample: *No copyright* UNKNOWN
./etc/sfc_driver.ini.sample: *No copyright* UNKNOWN
./networking_sfc/__init__.py: *No copyright* Apache (v2.0)
./networking_sfc/_i18n.py: Apache (v2.0)
./networking_sfc/version.py: Apache (v2.0)
./tools/check_unit_test_structure.sh: *No copyright* UNKNOWN
./tools/clean.sh: *No copyright* UNKNOWN
./tools/ostestr_compat_shim.sh: *No copyright* UNKNOWN
./tools/subunit-trace.py: Apache (v2.0)
./tools/tox_install.sh: *No copyright* UNKNOWN
./api-ref/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./api-ref/source/index.rst: *No copyright* UNKNOWN
./api-ref/source/parameters.yaml: *No copyright* UNKNOWN
./api-ref/source/sfc-chains.inc: *No copyright* UNKNOWN
./api-ref/source/sfc-classifiers.inc: *No copyright* UNKNOWN
./api-ref/source/sfc-port-pair-groups.inc: *No copyright* UNKNOWN
./api-ref/source/sfc-port-pairs.inc: *No copyright* UNKNOWN
./doc/source/alembic_migration.rst: *No copyright* Apache (v2.0)
./doc/source/api.rst: Apache (v2.0)
./doc/source/command_extensions.rst: Apache (v2.0)
./doc/source/conf.py: Apache (v2.0)
./doc/source/contribution.rst: Apache (v2.0)
./doc/source/index.rst: Apache (v2.0)
./doc/source/installation.rst: Apache (v2.0)
./doc/source/ovs_driver_and_agent_workflow.rst: Apache (v2.0)
./doc/source/ovs_symmetric_port_chain.rst: *No copyright* UNKNOWN
./doc/source/sfc_ovn_driver.rst: *No copyright* UNKNOWN
./doc/source/system_design and_workflow.rst: Apache (v2.0)
./doc/source/usage.rst: Apache (v2.0)
./etc/oslo-config-generator/flowclassifier_driver.ini: *No copyright* UNKNOWN
./etc/oslo-config-generator/sfc_driver.ini: *No copyright* UNKNOWN
./networking_sfc/cli/flow_classifier.py: Apache (v2.0)
./networking_sfc/cli/port_chain.py: Apache (v2.0)
./networking_sfc/cli/port_pair.py: Apache (v2.0)
./networking_sfc/cli/port_pair_group.py: Apache (v2.0)
./networking_sfc/db/flowclassifier_db.py: Apache (v2.0)
./networking_sfc/db/sfc_db.py: Apache (v2.0)
./networking_sfc/extensions/flowclassifier.py: Apache (v2.0)
./networking_sfc/extensions/sfc.py: Apache (v2.0)
./networking_sfc/osc/common.py: Apache (v2.0)
./networking_sfc/osc/plugin.py: Apache (v2.0)
./networking_sfc/tests/base.py: Apache (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/newton.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-create-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-create-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-get-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-list-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-update-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-chains/port-chain-update-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-create-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-create-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-get-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-list-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-update-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-classifiers/flow-classifier-update-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-create-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-create-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-get-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-list-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-update-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pair-groups/port-pair-group-update-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-create-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-create-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-get-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-list-resp.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-update-req.json: *No copyright* UNKNOWN
./doc/api_samples/sfc-port-pairs/port-pair-update-resp.json: *No copyright* UNKNOWN
./networking_sfc/db/migration/README: *No copyright* UNKNOWN
./networking_sfc/osc/flow_classifier/flow_classifier.py: Apache (v2.0)
./networking_sfc/osc/sfc/port_chain.py: Apache (v2.0)
./networking_sfc/osc/sfc/port_pair.py: Apache (v2.0)
./networking_sfc/osc/sfc/port_pair_group.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/driver_manager.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/plugin.py: Apache (v2.0)
./networking_sfc/services/sfc/driver_manager.py: Apache (v2.0)
./networking_sfc/services/sfc/plugin.py: Apache (v2.0)
./networking_sfc/tests/contrib/README: *No copyright* UNKNOWN
./networking_sfc/tests/contrib/gate_hook.sh: *No copyright* GENERATED FILE
./networking_sfc/tests/contrib/post_test_hook.sh: *No copyright* UNKNOWN
./networking_sfc/tests/functional/test_service.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/plugin.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/env.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/script.py.mako: Apache (v2.0)
./networking_sfc/db/migration/models/head.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/common/config.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/common/context.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/common/exceptions.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/drivers/base.py: Apache (v2.0)
./networking_sfc/services/sfc/agent/__init__.py: *No copyright* UNKNOWN
./networking_sfc/services/sfc/common/config.py: Apache (v2.0)
./networking_sfc/services/sfc/common/context.py: Apache (v2.0)
./networking_sfc/services/sfc/common/exceptions.py: Apache (v2.0)
./networking_sfc/services/sfc/common/ovs_ext_lib.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/base.py: Apache (v2.0)
./networking_sfc/tests/contrib/hooks/ovs: *No copyright* UNKNOWN
./networking_sfc/tests/functional/db/test_migrations.py: *No copyright* Apache (v2.0)
./networking_sfc/tests/functional/db/test_models.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/services/flowclassifier_client.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/services/sfc_client.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/flowclassifier_client.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/sfc_client.py: Apache (v2.0)
./networking_sfc/tests/unit/cli/test_flow_classifier.py: Apache (v2.0)
./networking_sfc/tests/unit/cli/test_port_chain.py: Apache (v2.0)
./networking_sfc/tests/unit/cli/test_port_pair.py: Apache (v2.0)
./networking_sfc/tests/unit/cli/test_port_pair_group.py: Apache (v2.0)
./networking_sfc/tests/unit/db/test_flowclassifier_db.py: Apache (v2.0)
./networking_sfc/tests/unit/db/test_sfc_db.py: Apache (v2.0)
./networking_sfc/tests/unit/extensions/test_flowclassifier.py: Apache (v2.0)
./networking_sfc/tests/unit/extensions/test_sfc.py: Apache (v2.0)
./networking_sfc/tests/unit/osc/fakes.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/CONTRACT_HEAD: *No copyright* UNKNOWN
./networking_sfc/db/migration/alembic_migrations/versions/EXPAND_HEAD: *No copyright* UNKNOWN
./networking_sfc/db/migration/alembic_migrations/versions/start_networking_sfc.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/drivers/dummy/dummy.py: Apache (v2.0)
./networking_sfc/services/flowclassifier/drivers/ovs/driver.py: Apache (v2.0)
./networking_sfc/services/sfc/agent/extensions/sfc.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/dummy/dummy.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/ovs/constants.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/ovs/db.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/ovs/driver.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/ovs/rpc.py: Apache (v2.0)
./networking_sfc/services/sfc/drivers/ovs/rpc_topics.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/api/base.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/api/test_flowclassifier_extensions.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/api/test_sfc_extensions.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/scenario/base.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/scenario/test_sfc.py: Apache (v2.0)
./networking_sfc/tests/tempest_plugin/tests/scenario/test_sfc_multinode.py: Apache (v2.0)
./networking_sfc/tests/unit/osc/flow_classifier/test_flow_classifier.py: Apache (v2.0)
./networking_sfc/tests/unit/osc/sfc/test_port_chain.py: Apache (v2.0)
./networking_sfc/tests/unit/osc/sfc/test_port_pair.py: Apache (v2.0)
./networking_sfc/tests/unit/osc/sfc/test_port_pair_group.py: Apache (v2.0)
./networking_sfc/tests/unit/services/flowclassifier/test_driver_manager.py: Apache (v2.0)
./networking_sfc/tests/unit/services/flowclassifier/test_plugin.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/test_driver_manager.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/test_plugin.py: Apache (v2.0)
./networking_sfc/services/sfc/agent/extensions/openvswitch/sfc_driver.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/common/test_ovs_ext_lib.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/contract/48072cb59133_initial.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/24fc7241aa5_initial.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/5a475fc853e6_ovs_data_model.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/9768e6a66c9_flowclassifier_data_model.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/c3e178d4a985_sfc_data_model.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/d1002a1f97f6_update_flow_classifier.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/mitaka/expand/fa75d46a7f11_add_port_pair_group_params.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/newton/contract/010308b06b49_rename_tenant_to_project.py: Apache (v2.0)
./networking_sfc/db/migration/alembic_migrations/versions/newton/contract/06382790fb2c_fix_foreign_constraints.py: *No copyright* Apache (v2.0)
./networking_sfc/tests/functional/services/sfc/agent/extensions/test_ovs_agent_sfc_extension.py: Apache (v2.0)
./networking_sfc/tests/unit/services/flowclassifier/drivers/ovs/test_driver.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/agent/extensions/test_sfc.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/drivers/ovs/test_driver.py: Apache (v2.0)
./networking_sfc/tests/unit/services/sfc/agent/extensions/openvswitch/test_sfc_driver.py: Apache (v2.0)

The package is licensed using the Apache 2.0 license. The initial content was automatically created with cookiecutter.

Comment 5 Javier Peña 2017-02-10 09:22:06 UTC
- The notes about using %define and the source URL are expected, since the SRPM has been generated by DLRN.

The package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 76 files have unknown
     license. Detailed output of licensecheck in /tmp/python-networking-
     sfc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -networking-sfc , python-networking-sfc-doc , python2-networking-sfc-
     tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     3.0.1.dev86
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-networking-sfc-3.0.1-0.20170209193200.ef6a992.el7.centos.noarch.rpm
          python-networking-sfc-doc-3.0.1-0.20170209193200.ef6a992.el7.centos.noarch.rpm
          python2-networking-sfc-tests-3.0.1-0.20170209193200.ef6a992.el7.centos.noarch.rpm
          python-networking-sfc-3.0.1-0.20170209193200.ef6a992.el7.centos.src.rpm
python2-networking-sfc.noarch: E: no-changelogname-tag
python-networking-sfc-doc.noarch: E: no-changelogname-tag
python2-networking-sfc-tests.noarch: E: no-changelogname-tag
python2-networking-sfc-tests.noarch: W: no-documentation
python-networking-sfc.src: E: no-changelogname-tag
python-networking-sfc.src: W: invalid-url Source0: networking-sfc-3.0.1.dev86-0.20170209193200.ef6a992.tar.gz
4 packages and 0 specfiles checked; 4 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python-networking-sfc-doc.noarch: E: no-changelogname-tag
python2-networking-sfc.noarch: E: explicit-lib-dependency python-neutron-lib
python2-networking-sfc.noarch: E: no-changelogname-tag
python2-networking-sfc-tests.noarch: E: no-changelogname-tag
python2-networking-sfc-tests.noarch: W: no-documentation
3 packages and 0 specfiles checked; 4 errors, 1 warnings.



Requires
--------
python-networking-sfc-doc (rpmlib, GLIBC filtered):

python2-networking-sfc (rpmlib, GLIBC filtered):
    python(abi)
    python-alembic
    python-eventlet
    python-netaddr
    python-neutron
    python-neutron-lib
    python-neutronclient
    python-openstackclient
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-oslo-messaging
    python-oslo-serialization
    python-oslo-utils
    python-six
    python-sqlalchemy
    python-stevedore

python2-networking-sfc-tests (rpmlib, GLIBC filtered):
    openstack-neutron
    python(abi)
    python-mock
    python-neutron-lib-tests
    python-neutron-tests
    python-oslotest
    python-requests-mock
    python-testrepository
    python-testresources
    python-testscenarios
    python2-networking-sfc
    python2-osc-lib-tests



Provides
--------
python-networking-sfc-doc:
    python-networking-sfc-doc

python2-networking-sfc:
    python-networking-sfc
    python2-networking-sfc

python2-networking-sfc-tests:
    python2-networking-sfc-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn -r -n python-networking-sfc-3.0.1-0.20170209193200.ef6a992.el7.centos.src.rpm
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Javier Peña 2017-02-16 17:08:23 UTC
We now have builds for networking-sfc in the RDO Trunk repos.


Note You need to log in before you can comment on or make changes to this bug.